class NavAdder expands Mutator;

var bool bInit;

native(1718) final function bool AddToPackageMap( optional string PkgName);
native(1719) final function bool IsInPackageMap( optional string PkgName, optional bool bServerPackagesOnly);

event PreBeginPlay()
{
	local String LevelName, LevelName1;
	local Int I, J;
	local Class<Actor> Module, Module1;

	if (!bInit)
	{
		bInit = True;
		log ("> Navigation Core Loaded.",'NavAdder');
		LevelName = String(Outer.Name);
		log ("Map's name is:"@LevelName,'NavAdder');
		I = Len(LevelName)-3;
		log ("Map's name length is:"@I@"characters.",'NavAdder');
		if ( I > 12 )
		{
			I = 12;
			log ("Cutting Name...",'NavAdder');
		}
		LevelName = Caps(Right(LevelName,I))$".PathsMapper";
		log ("Looking for a class called >"@LevelName,'NavAdder');
		Module = Class<Actor>( DynamicLoadObject(LevelName, class'Class',True) );
		if ( Module == None )
		{
			log ("Did not find a module for this Level.",'NavAdder');
		}
		else
		{
			log ("Found module, attempt loading...",'NavAdder');
			Spawn(Module);
			if ( Module != None )
				log ("Module has been started...",'NavAdder');
			else
				log ("Bork... Module failed to spawn in this Level...",'NavAdder');
		}
		I = 0;
		LevelName = "";
		Module = None;
		log ("Searching client stuff if available...",'NavAdder');
			LevelName1 = String(Outer.Name);
		log ("Map's name is:"@LevelName1,'NavAdder');
		J = Len(LevelName1)-3;
		log ("Map's name length is:"@J@"characters.",'NavAdder');
		if ( J > 12 )
		{
			J = 12;
			log ("Cutting Name...",'NavAdder');
		}
		LevelName1 = Caps(Right(LevelName1,J))$".StuffTweaker";
		LevelName1 = "P_"$LevelName1;
		log ("Target class is called >"@LevelName1,'NavAdder');
		Module1 = Class<Actor>( DynamicLoadObject(LevelName1, class'Class',True) );
		if ( Module1 == None )
		{
			log ("Did not find a tweaking module for this Level.",'NavAdder');
		}
		else
		{
			log ("Found a tweaking module, attempt loading...",'NavAdder');
			Spawn(Module1);
			if ( Module1 != None )
			{
				if ( Level.NetMode == NM_ListenServer || Level.NetMode == NM_DedicatedServer )
					AddToPackageMap( string(Module1.Outer.Name) );
				log ("Module has been started...",'NavAdder');
			}
			else
				log ("Bork... Module failed to spawn in this Level...",'NavAdder');
		}
		J = 0;
		LevelName1 = "";
		Module1 = None;
	}
}

