class StuffTweaker expands KeyPoint;

event PreBeginPlay()
{
	InitialState = 'MapPatching';
}

function DoAlterWeapons()
{
	local Actor A; //A1

	foreach RadiusActors( class'Actor',A,40,vect(17514,-8416,-2852) )
	{
		if (string(A.Name) ~= "BerserkStinger0")
		{
			log ("Nice and slow replacing"@A.Name);
			A.LifeSpan = 0.3;
			
			Spawn(class'E_BerserkStinger',,,vect(17514,-8416,-2852) );
/*
			if ( A1 != None )
			{
				A1.SetPropertyText("ProjectileClass",A.GetPropertyText("ProjectileClass"));
				A1.SetPropertyText("AltProjectileClass",A.GetPropertyText("AltProjectileClass"));
			}
*/
			break;
		}
	}
	foreach RadiusActors( class'Actor',A,40,vect(-12622,8960,-2632) )
	{
		if (string(A.Name) ~= "WarFlakCannon0")
		{
			log ("Nice and slow replacing"@A.Name);
			A.LifeSpan = 0.3;
			Spawn(class'E_WarFlakCannon',,,vect(-12622,8960,-2650));
		}
	}
}

function DoAdds()
{

	local Actor A;
	local Rotator NewRot;

	spawn( class'NetFlag1',,,vect(-1272,-88,-224) );
	spawn( class'NetFlag1',,,vect(-2264,392,288) );
	spawn( class'NetFlag1',,,vect(-384,516,-204) );
	NewRot.Yaw=-16384;
	spawn( class'E_Shieldd',,,vect(311,398,-604),NewRot );
	NewRot.Yaw=16384;
	spawn( class'E_Sconce',,,vect(851,-89,-604),NewRot );
	NewRot.Yaw=-16384;
	spawn( class'E_Sconce',,,vect(817,922,-604),NewRot);
	spawn( class'EscapePod',,,vect(-2482,61,190) );
	spawn( class'NetFlag1',,,vect(-2368,5200,-2616) );
	spawn( class'NetFlag1',,,vect(-3012,9344,-2538) );
	spawn( class'NetFlag1',,,vect(-2762,9978,-3820) );
	spawn( class'NetFlag1',,,vect(16192,-5091,-2956) );
	A = spawn( class'Brazier',,,vect(17512,-8417,-2801) );
	if (A != None)
	{
		A.SetCollision(false,false,false);
		A.bMovable=False;
		A.TweenAnim('Sway',0.1);
		A = None;
	}
	spawn( class'NetFlag1',,,vect(472,1176,336) );
	NewRot.Yaw = 0;
	NewRot.Roll = -16384; //The same for all above
	spawn( class'E_CapitalU',,,vect(-3336,-10842,672),NewRot );
	spawn( class'E_OctGem',,,vect(-3583,-10843,603),NewRot );
	spawn( class'E_OctGem',,,vect(-3068,-10846,603),NewRot );
	NewRot.Roll = 0;
	NewRot.Pitch=-16384;
	spawn( class'E_DiscStud',,,vect(-3703,-11223,604),NewRot );
	NewRot.Yaw=32728;
	spawn( class'E_DiscStud',,,vect(-2951,-11223,604),NewRot );
	NewRot.Yaw=0;
	NewRot.Pitch=0;
}

function DoOtherNeeds()
{
}

State() MapPatching
{
Begin:
	Sleep(0.12);
	DoAlterWeapons();
	Sleep(0.0);
	DoAdds();
	Sleep(0.0);
	DoOtherNeeds();
	Sleep(1.00);
	GoToState('');
}

defaultproperties
{
	bStatic=False
	bGameRelevant=True
	bMovable=False
	bCollideWorld=False
	bCollideWhenPlacing=False
	NetUpdateFrequency=2.000000
	NetPriority=2.000000
}