//=============================================================================
// BerserkSphere By Dag (War Master).
//=============================================================================

class BerserkSphere expands PlasmaSphere;

var int NumWallHits;
var bool bCanHitInstigator, bHitWater;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SetTimer(0.8, true);
	if ( Level.NetMode == NM_Client )
		LifeSpan = 10.0;
	else
		Velocity = Speed * vector(Rotation);
	if ( Level.bDropDetail )
		LightType = LT_None;
}

function BlowUp(vector HitLocation)
{
	HurtRadius(damage, 200, MyDamageType, MomentumTransfer, HitLocation);
	PlaySound(EffectSound1,,1.0);	
}

auto State Flying
{
Begin:
	LifeSpan = 10.0;
}

defaultproperties
{
	ExpType=Texture'Botpack.FlareFX.utflare5'
	EffectSound1=Sound'UnrealShare.ASMD.Vapour'
	speed=3000.000000
	MaxSpeed=5000.000000
	Damage=50.000000
	MyDamageType=jolted
	LifeSpan=15.000000
	Texture=Texture'Botpack.FlareFX.utflare7'
	DrawScale=0.400000
	LightHue=204
}
